Subject: bug#21235: emacs 24.4.1 pollutes terminal when it cannot save #file#

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 01 Aug 2019 22:06:04 +0200

Askar Safin <[email-masked]> writes:

> Steps to reproduce:
> 1. You should have some directory where you cannot write (for example,
> you are user "user" and you cannot write to "/").
> And you should have some file in this directory you able to write. For example:
> $ sudo touch /file
> $ sudo chown user:user /file
> $ emacs -nw /file
> 2. Type some text to file, then press C-x C-c, then press "n"
> (i. e. "don't save"), then type "yes" (i. e. "exit anyway")
>
> You will see this message:
> "Auto-saving file: Opening output file: permission denied, /#file#"
>
> And then your terminal will be somehow destroyed/polluted. For
> example, Emacs image will continue to exists in your
> terminal, even if it normally doesn't do this. Or alternatively, new
> prompt will appear on top of error message and you
> will see, for example, this:
>
> 15  2015-08-11 11:54:04  ~$ emacs /file
> Auto-sav15  2015-08-11 11:54:13  ~$ e: permission denied, /#file#

(I'm going through old bug reports that have unfortunately not gotten
any responses.)

I'm unable to reproduce this problem in Emacs 27, so I'm guessing that
this has been fixed in the years that have passed since this bug was
filed, and I'm closing the report.  If you're still seeing this, please
reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no